org.deidentifier.arx.criteria

## Class TCloseness

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ExplicitPrivacyCriterion
    - - org.deidentifier.arx.criteria.TCloseness

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EqualDistanceTCloseness, HierarchicalDistanceTCloseness, OrderedDistanceTCloseness

    public abstract class TCloseness
    extends ExplicitPrivacyCriterion

An abstract base class for t-closeness criteria as proposed in: Li N, Li T, Venkatasubramanian S. t-Closeness: Privacy beyond k-anonymity and l-diversity. 23rd International Conference on Data Engineering. 2007:106-115.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TCloseness(java.lang.String attribute, double t)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRequirements()` Returns the criterion's requirements.
`double` `getT()` Returns the parameter t.

### Methods inherited from class org.deidentifier.arx.criteria.ExplicitPrivacyCriterion

`getAttribute, initialize`

### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

`clone, clone, getDataSubset, getMinimalClassSize, getPopulationModel, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, isAnonymous, isHeuristicSearchSupported, isHeuristicSearchWithTimeLimitSupported, isLocalRecodingSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isOptimalSearchSupported, isSampleBased, isSubsetAvailable, render, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TCloseness

    public TCloseness(java.lang.String attribute,
                      double t)

Creates a new instance.

Parameters:
  `attribute` -
  `t` -

### Method Detail

#### getRequirements

    public int getRequirements()

Description copied from class: `PrivacyCriterion`
Returns the criterion's requirements.

Specified by:
  `getRequirements` in class `PrivacyCriterion`
Returns:

#### getT

    public double getT()

Returns the parameter t.

Returns: